within Heatpump_singleSpeed;
    block Infiltration_Control
        Modelica.Blocks.Interfaces.RealInput Tamb
            annotation (Placement(transformation(extent={{-132,16},{-92,56}})));
        Modelica.Blocks.Interfaces.RealInput WinSpe
            annotation (Placement(transformation(extent={{-130,-66},{-90,-26}})));
        Modelica.Blocks.Interfaces.RealOutput y
            annotation (Placement(transformation(extent={{98,0},{118,20}}))); 

        parameter Real A_L;
        parameter Real C_s;
        parameter Real C_w; 
        
        Modelica.Blocks.Interfaces.RealInput T_zon
        annotation (Placement(transformation(extent={{-130,-20},{-90,20}})));
        equation
            y = A_L/1000*sqrt(C_s*abs(Tamb-T_zon)+C_w*(WinSpe*WinSpe))*1.2;
        annotation (
            Icon(coordinateSystem(preserveAspectRatio=false)),
            Diagram(coordinateSystem(preserveAspectRatio=false)),
            uses(Modelica(version="4.0.0")));
        // Commented out to not have errors. 
        
        // annotation (
        //     Icon(graphics={
        //     Rectangle(extent={{-92,54},{102,-66}}, lineColor={28,108,200}),
        //     Rectangle(extent={{-100,52},{100,-42}}, lineColor={28,108,200}),
        //     Rectangle(extent={{-104,50},{104,-50}}, lineColor={28,108,200})
        //     }));
            
    end Infiltration_Control;