within Heatpump_singleSpeed;
block auxHeater_Ctrl
  Modelica.Blocks.Interfaces.RealInput thermostat_in
    annotation (Placement(transformation(extent={{-130,38},{-90,78}})));
  Modelica.Blocks.Interfaces.BooleanInput Amb_sig
    annotation (Placement(transformation(extent={{-126,-40},{-86,0}})));
  Modelica.Blocks.Interfaces.IntegerOutput heat_pump
    annotation (Placement(transformation(extent={{100,28},{120,48}})));
  Modelica.Blocks.Interfaces.RealOutput Heater
    annotation (Placement(transformation(extent={{100,-42},{120,-22}})));

equation
  if (thermostat_in > 0.5 and Amb_sig == false) then
  heat_pump = 1;
  Heater = 0.0;
elseif (thermostat_in >0.5 and Amb_sig == true) then
  heat_pump = 1;
  Heater = 1.0;
else
  heat_pump = 0;
  Heater = 0.0;
end if;

  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="4.0.0")));
end auxHeater_Ctrl;
