within Heatpump_singleSpeed;
block defrost_ctrl_v2
  Modelica.Blocks.Interfaces.IntegerInput HP_on
    annotation (Placement(transformation(extent={{-128,24},{-88,64}})));
  Buildings.Controls.OBC.CDL.Logical.TimerAccumulating accTim(t(displayUnit=
          "min") = 1800)
    annotation (Placement(transformation(extent={{-4,36},{16,56}})));
  Modelica.Blocks.Math.IntegerToBoolean integerToBoolean(threshold=1)
    annotation (Placement(transformation(extent={{-74,36},{-54,56}})));
  Modelica.Blocks.Interfaces.BooleanInput Amb
    annotation (Placement(transformation(extent={{-128,-24},{-88,16}})));
  Modelica.Blocks.Logical.And and1
    annotation (Placement(transformation(extent={{-34,-6},{-14,14}})));
  Modelica.Blocks.Interfaces.BooleanOutput y
    annotation (Placement(transformation(extent={{96,16},{116,36}})));
  Buildings.Controls.OBC.CDL.Logical.TimerAccumulating accTim1(t(displayUnit=
          "min") = 1080)
    annotation (Placement(transformation(extent={{80,-52},{100,-32}})));
  Modelica.Blocks.Math.IntegerToBoolean integerToBoolean1(threshold=0)
    annotation (Placement(transformation(extent={{28,-52},{48,-32}})));
  Modelica.Blocks.Logical.Not not1
    annotation (Placement(transformation(extent={{54,-92},{74,-72}})));
  Modelica.Blocks.Logical.Switch switch1
    annotation (Placement(transformation(extent={{32,74},{52,94}})));
  Modelica.Blocks.Math.RealToInteger realToInteger
    annotation (Placement(transformation(extent={{70,68},{90,88}})));
  Modelica.Blocks.Math.IntegerToReal integerToReal
    annotation (Placement(transformation(extent={{-74,68},{-54,88}})));
  Modelica.Blocks.Sources.RealExpression realExpression(y=-1.0)
    annotation (Placement(transformation(extent={{-8,84},{12,104}})));
  Modelica.Blocks.Logical.Not not2
    annotation (Placement(transformation(extent={{112,-62},{132,-42}})));
  Modelica.Blocks.Logical.And and2
    annotation (Placement(transformation(extent={{116,-96},{136,-76}})));
  Modelica.Blocks.Interfaces.BooleanInput reset
    annotation (Placement(transformation(extent={{-130,-74},{-90,-34}})));
  Modelica.Blocks.Logical.Or or1
    annotation (Placement(transformation(extent={{-16,-72},{4,-52}})));
  Modelica.Blocks.Logical.Not not3
    annotation (Placement(transformation(extent={{-28,-40},{-8,-20}})));
equation
  connect(HP_on, integerToBoolean.u) annotation (Line(points={{-108,44},{-92,44},
          {-92,46},{-76,46}}, color={255,127,0}));
  connect(integerToBoolean.y, and1.u1) annotation (Line(points={{-53,46},{-46,
          46},{-46,4},{-36,4}}, color={255,0,255}));
  connect(Amb, and1.u2)
    annotation (Line(points={{-108,-4},{-36,-4}}, color={255,0,255}));
  connect(and1.y, accTim.u) annotation (Line(points={{-13,4},{-10,4},{-10,46},{
          -6,46}}, color={255,0,255}));
  connect(integerToBoolean1.y, not1.u)
    annotation (Line(points={{49,-42},{52,-42},{52,-82}}, color={255,0,255}));
  connect(accTim.passed, switch1.u2) annotation (Line(points={{18,38},{22,38},{
          22,84},{30,84}}, color={255,0,255}));
  connect(HP_on, integerToReal.u) annotation (Line(points={{-108,44},{-90,44},{
          -90,78},{-76,78}}, color={255,127,0}));
  connect(integerToReal.y, switch1.u3) annotation (Line(points={{-53,78},{-22,
          78},{-22,76},{30,76}}, color={0,0,127}));
  connect(switch1.y, realToInteger.u) annotation (Line(points={{53,84},{56,84},
          {56,76},{68,76},{68,78}}, color={0,0,127}));
  connect(realExpression.y, switch1.u1) annotation (Line(points={{13,94},{20,94},
          {20,92},{30,92}}, color={0,0,127}));
  connect(realToInteger.y, integerToBoolean1.u) annotation (Line(points={{91,78},
          {92,78},{92,42},{26,42},{26,-42}}, color={255,127,0}));
  connect(not1.y, accTim1.u) annotation (Line(points={{75,-82},{74,-82},{74,-42},
          {78,-42}}, color={255,0,255}));
  connect(not1.y, and2.u2) annotation (Line(points={{75,-82},{94,-82},{94,-94},
          {114,-94}}, color={255,0,255}));
  connect(accTim1.passed, not2.u) annotation (Line(points={{102,-50},{106,-50},
          {106,-52},{110,-52}}, color={255,0,255}));
  connect(not2.y, and2.u1) annotation (Line(points={{133,-52},{122,-52},{122,
          -70},{108,-70},{108,-86},{114,-86}}, color={255,0,255}));
  connect(and2.y, y) annotation (Line(points={{137,-86},{146,-86},{146,6},{112,
          6},{112,18},{94,18},{94,26},{106,26}}, color={255,0,255}));
  connect(reset, or1.u1) annotation (Line(points={{-110,-54},{-68,-54},{-68,-62},
          {-18,-62}}, color={255,0,255}));
  connect(or1.y, accTim.reset) annotation (Line(points={{5,-62},{-2,-62},{-2,38},
          {-6,38}}, color={255,0,255}));
  connect(or1.y, accTim1.reset) annotation (Line(points={{5,-62},{40,-62},{40,
          -50},{78,-50}}, color={255,0,255}));
  connect(and1.y, not3.u) annotation (Line(points={{-13,4},{-22,4},{-22,-30},{
          -30,-30}}, color={255,0,255}));
  connect(not3.y, or1.u2) annotation (Line(points={{-7,-30},{-14,-30},{-14,-70},
          {-18,-70}}, color={255,0,255}));
end defrost_ctrl_v2;
