within Heatpump_singleSpeed;
block noeventcontrol
  Modelica.Blocks.Interfaces.RealInput Power
    annotation (Placement(transformation(extent={{-128,-24},{-88,16}})));
  Modelica.Blocks.Interfaces.BooleanOutput y
    annotation (Placement(transformation(extent={{56,-10},{76,10}})));
  Modelica.Blocks.Logical.LogicalDelay logicalDelay(delayTime=18*60)
    annotation (Placement(transformation(extent={{92,-10},{112,10}})));
equation
  if Power < 0.0 then
    y = true;
  else
    y = false;
  end if;
  connect(y, logicalDelay.u)
    annotation (Line(points={{66,0},{90,0}}, color={255,0,255}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="4.0.0"), Buildings(version="9.1.0")),
    experiment(
      StopTime=31536000,
      __Dymola_NumberOfIntervals=5000,
      Tolerance=1e-06,
      __Dymola_Algorithm="Dassl"));
end noeventcontrol;
