within Heatpump_singleSpeed;
model wrapped "Wrapped model"
	// Input overwrite
	Modelica.Blocks.Interfaces.RealInput overwrite_CoolingStatus_u(unit="1", min=-1.7976931348623157e+308, max=1.7976931348623157e+308) "set Coolingstatus";
	Modelica.Blocks.Interfaces.BooleanInput overwrite_CoolingStatus_activate "Activation for set Coolingstatus";
	Modelica.Blocks.Interfaces.RealInput overwrite_HeatingStatus_u(unit="1", min=-1.7976931348623157e+308, max=1.7976931348623157e+308) "set HeatingStatus";
	Modelica.Blocks.Interfaces.BooleanInput overwrite_HeatingStatus_activate "Activation for set HeatingStatus";
	// Out read
	Modelica.Blocks.Interfaces.RealOutput read_Cooling_Power_y(unit="W") = mod.read_Cooling_Power.y "CoolingPower";
	Modelica.Blocks.Interfaces.RealOutput read_FanPower_y(unit="W") = mod.read_FanPower.y "FanPower";
	Modelica.Blocks.Interfaces.RealOutput read_TAmb_y(unit="K") = mod.read_TAmb.y "T_amb";
	Modelica.Blocks.Interfaces.RealOutput read_TRadTemp1_y(unit="K") = mod.read_TRadTemp1.y "ZoneRadTemp";
	Modelica.Blocks.Interfaces.RealOutput read_TRoomTemp_y(unit="K") = mod.read_TRoomTemp.y "ZoneTemp";
	Modelica.Blocks.Interfaces.RealOutput read_auxHeat_y(unit="W") = mod.read_auxHeat.y "aux_heat";
	Modelica.Blocks.Interfaces.RealOutput read_heating_Power1_y(unit="W") = mod.read_heating_Power1.y "HeatingPower";
	Modelica.Blocks.Interfaces.RealOutput overwrite_CoolingStatus_y(unit="1") = mod.overwrite_CoolingStatus.y "set Coolingstatus";
	Modelica.Blocks.Interfaces.RealOutput overwrite_HeatingStatus_y(unit="1") = mod.overwrite_HeatingStatus.y "set HeatingStatus";
	// Original model
	Building mod(
		overwrite_CoolingStatus(uExt(y=overwrite_CoolingStatus_u),activate(y=overwrite_CoolingStatus_activate)),
		overwrite_HeatingStatus(uExt(y=overwrite_HeatingStatus_u),activate(y=overwrite_HeatingStatus_activate))) "Original model with overwrites";
end wrapped;
